LASTCOMM(1)

NUME
lastcomm - afișează informații despre comenzile executate anterior

SINOPSIS

lastcomm
    [ nume-comandă ... ]
    [ nume-utilizator ... ]
    [ nume-terminal ... ]
    [ OPȚIUNE...]

DESCRIERE

lastcomm afișează informații despre comenzile executate anterior. Dacă nu se specifică niciun argument, lastcomm va afișa informații despre toate comenzile din acct (fișierul de înregistrare). Dacă este apelată cu unul sau mai multe dintre argumentele nume-comandă, nume-utilizator, sau nume-terminal, vor fi afișate numai înregistrările care conțin aceste elemente. De exemplu, pentru a afla ce utilizatori au folosit comanda „a.out” și ce utilizatori au fost conectați la „tty0”, tastați:
lastcomm a.out tty0

Aceasta va imprima orice intrare pentru care „a.out” sau „tty0” se potrivește în oricare dintre câmpurile înregistrării (comandă, nume sau terminal). Dacă doriți să găsiți numai elementele care se potrivesc cu *toate* argumentele din linia de comandă, trebuie să utilizați opțiunea „-strict-match”. De exemplu, pentru a lista toate execuțiile comenzii a.out de către utilizatorul root pe terminalul tty0,, tastați:
lastcomm --strict-match --command a.out --user root --tty tty0

Ordinea argumentelor nu este importantă.

Pentru fiecare intrare se afișează următoarele informații:
   + numele de comandă al procesului
   + fanioane, așa cum sunt înregistrate de rutinele de contabilizare ale sistemului:
        S -- comandă executată de super-utilizator
        F -- comandă executată după o bifurcare, dar fără o execuție următoare
        C -- comandă rulată în modul de compatibilitate PDP-11 (numai pentru VAX)
        D -- comanda s-a încheiat cu generarea unui fișier cu conținutul din memorie al execuției acesteia „core”
        X -- comanda a fost terminată cu semnalul SIGTERM
   + numele utilizatorului care a rulat procesul
   + ora la care a început procesul

OPȚIUNI
--strict-match
    Afișează numai intrările care corespund cu *toate* argumentele din linia de comandă.
--print-controls
    Imprimă caracterele de control.
--user nume
    Listează înregistrările pentru utilizatorul cu nume. Acest lucru este util dacă încercați să găsiți un nume de utilizator care se întâmplă să fie același cu cel al unei comenzi (de exemplu, ed).
--command nume
    Listează înregistrările pentru comanda nume.
--tty nume
    Listează înregistrările pentru tty nume.
--forwards
    Citește fișierul înainte în loc de înapoi. Acest lucru evită încercarea de a căuta în fișier și poate fi utilizat pentru a citi dintr-o conductă. Acest lucru trebuie să fie specificat înainte de orice argument -f.
-f nume-fișier, --file nume-fișier
    Citește din fișierul nume-fișier în loc de acct. Un nume de fișier cu „-” va duce la citirea de la intrarea standard. Aceasta trebuie să fie prima opțiune -f, sau --forwards trebuie să preceadă toate opțiunile -f.
--ahz hz
    Folosiți această opțiune pentru a indica programului ce ar trebui să fie AHZ (în hertzi). Această opțiune este utilă în cazul în care încercați să vizualizați un fișier acct creat pe o altă mașină care are aceeași ordine a octeților și același format de fișier ca și mașina dvs. curentă, dar are o valoare diferită pentru AHZ.
-p, --show-paging
    Imprimă statisticile de paginare.
--pid
    Afișează PID și PPID al procesului, dacă formatul acct versiunea 3 este acceptat de nucleu.
--pid
    Adaugă la ieșire pid-ul procesului și pid-ul procesului părinte (pid este penultimul, iar pid-ul părintelui este ultima coloană). Aceste valori sunt afișate numai atunci când sunt generate de funcția acct (depinde de versiunea nucleului).
--debug
    Afișează informații interne detaliate.
-V, --version
    Afișează numărul de versiune al lastcomm.
-h, --help
    Afișează șirul de utilizare și locațiile implicite ale fișierelor de sistem la ieșirea standard și iese.

FIȘIERE
acct
    Fișierul de contabilizare a proceselor la nivel de sistem. A se vedea acct(5) (sau pacct(5)) pentru mai multe detalii.
/var/log/account
    Acest director conține fișierele „pacct”, care conțin datele binare de contabilizare a proceselor, așa cum sunt scrise de nucleu.

AUTOR
Utilitățile de conturi GNU au fost scrise de Noel Cragg <noel@gnu.ai.mit.edu>. Pagina de manual a fost adaptată din pagina texinfo de conturi de Susan Kleinmann <sgk@sgk.tiac.net>.

CONSULTAȚI ȘI
last(1), acct(5)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.
Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.